package beasts;

/**
 * Thrown on exceptional conditions by methods in the
 * <code>PriorityQueue</code> class. Note the various circumstances aren't
 * differentiated by anything more than the message associated with the
 * exception.
 *
 * @author Peter Gammie (<A HREF="MailTo:peteg@unsw.edu.au">peteg@unsw.edu.au</A>)
 * @version $Id: PriorityQueueException.java,v 1.2 2002/01/21 00:56:02 peteg Exp $
 */
public class PriorityQueueException extends Exception {
    PriorityQueueException(String msg) {
	super(msg);
    }
}
