#!/bin/sh
#
# Setup the Java environment for beasts.
#
# $Id: beasts.sh,v 1.1 2002/03/18 07:23:19 peteg Exp $

JAR=beasts.jar
CLASS=beasts.Beasts
STATEFILE=beasts_state.ser
STATEDIR=/var/games

if [ -f "${JAR}" ]; then
    JARHOME="."
    STATEDIR="."
elif [ -f "`dirname "$0"`/${JAR}" ]; then
    JARHOME="`dirname "$0"`"
    STATEDIR=""
elif [ "`dirname $0`" = "/usr/local/bin" ]; then
    JARHOME="/usr/local/share/beasts/"
elif [ "`dirname $0`" = "/usr/games" ]; then
    JARHOME="/usr/share/java"
else
    echo "${JAR} could not be found"
    exit 1
fi

#echo "${JARHOME}/${JAR}"
CLASSPATH="${JARHOME}/${JAR}"
export CLASSPATH
java -Dbeasts.stateFile="${STATEDIR}/${STATEFILE}" ${CLASS} $*
